Subject: Re: [PATCH v4] submodule--helper: run update procedures from C

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 17:14:30 -0700

Atharva Raykar <[email-masked]> writes:

> * Fix error message handling of the output of 'run-update-procedure'. While at
>   it, ensure the "checkout" mode error message is stored and printed
>   appropriately.
>
> * In 'run_update_command()' switch from 'run_command()' to
>   'run_command_v_opt_cd_env()' to ensure quoted command update modes are handled
>   correctly.
>
> * Code style and hygiene changes.
>
> * Introduce a NEEDSWORK comment, because the printf() and error return is
>   correct only because the shell caller in the other end redirects it to the
>   correct output stream. Once we switch this completely to C (ie, in the
>   follow-up series), I need to remember to die() instead (or print to stderr) to
>   reproduce the original behaviour.

I didn't see anybody comment on this round (and do not think I saw
anything glaringly wrong).

Is everybody happy with this version?  I am about to mark it for
'next' in the next issue of "What's cooking" report, so please
holler if I should wait.

Thanks.